cdb_read.c File Reference
`#include "cdb_read.h"`

## Functions

static int | compare_vendor (cdb_isdn_vendor *v1, cdb_isdn_vendor *v2)
static int | compare_card (cdb_isdn_card *c1, cdb_isdn_card *c2)
int | compare_name (const int *c1, const int *c2)
static int | compare_type (cdb_isdn_vario *v1, cdb_isdn_vario *v2)
static int | compare_id (const int *c1, const int *c2)
static char * | add_name (const char *str, int merge)
static char * | add_lname (int v, const char *str)
static char * | add_name_list (const char *str, const char *list)
static char * | add_sortedname_list (const char *str, const char *list, const char *fmt)
static int | add_vendor (char *v, int card)
static int | new_vario (char *v, int c)
void | del_vario (void)
int | new_entry (void)
void | add_current_item (int item, char *val)
void | SortVendors (void)
void | SortCards (void)
void | SortVarios (void)

## Variables

int | max_ce = MAXCARDS
int | ce_idx = 0
int | max_vario = MAXVARIO
int | vario_idx
int | name_str_cnt = 0
int | max_name_str_cnt = MAXNAMECNT
int | max_ivendor = MAXCARDS
int | ivendor_idx = 0
char * | name_str
cdb_isdn_card * | cards
cdb_isdn_vario * | varios
cdb_isdn_vendor * | vendors
int * | isdncard_id
int | drvid_cnt
int | drv_subtyp_cnt
int | drv_typ_cnt
int | supported_cnt
int | not_supported = 0
static struct _vendorshortnames_t | _vendorshortnames []
static char | stmp [4096]
static char | sstmp [4096]

## Function Documentation

## add_current_item()

void add_current_item | ( | int | item,
|  | char * | val )

References add_lname(), add_name(), add_name_list(), add_sortedname_list(), add_vendor(), alternative_name, bus_type, cards, ce_idx, del_vario(), device, device_class, device_id, drv_id, drv_subtyp, drv_subtyp_cnt, drv_typ, drv_typ_cnt, drvid_cnt, feature, firmware, info, interface, IO, IRQ, line_cnt, line_protocol, _vendorshortnames_t::lname, MEMBASE, name_str, name_str_cnt, need_packages, new_vario(), not_supported, PCI_ANY_ID, revision, short_description, SMP, special, subdevice_id, subvendor_id, supported, supported_cnt, vario, vario_idx, varios, vendor, vendor_id, and vendors.

Referenced by while().

## add_lname()

char * add_lname | ( | int | v,
|  | const char * | str )

static

References add_name(), stmp, and vendors.

Referenced by add_current_item().

## add_name()

char * add_name | ( | const char * | str,
|  | int | merge )

static

References max_name_str_cnt, name_str, and name_str_cnt.

Referenced by add_current_item(), add_lname(), add_name_list(), add_sortedname_list(), add_vendor(), and new_vario().

## add_name_list()

char * add_name_list | ( | const char * | str,
|  | const char * | list )

static

References add_name(), and stmp.

Referenced by add_current_item().

## add_sortedname_list()

char * add_sortedname_list | ( | const char * | str,
|  | const char * | list,
|  | const char * | fmt )

static

References add_name(), sstmp, and stmp.

Referenced by add_current_item().

## add_vendor()

int add_vendor | ( | char * | v,
|  | int | card )

static

References _vendorshortnames, add_name(), ivendor_idx, _vendorshortnames_t::lname, max_ivendor, _vendorshortnames_t::sname, and vendors.

Referenced by add_current_item().

## compare_card()

int compare_card | ( | cdb_isdn_card * | c1,
|  | cdb_isdn_card * | c2 )

static

References cdb_isdn_card::name.

Referenced by SortCards().

## compare_id()

int compare_id | ( | const int * | c1,
|  | const int * | c2 )

static

References cards.

Referenced by hd_cdbisdn_get_card_from_id(), and SortCards().

## compare_name()

int compare_name | ( | const int * | c1,
|  | const int * | c2 )

References cards.

## compare_type()

int compare_type | ( | cdb_isdn_vario * | v1,
|  | cdb_isdn_vario * | v2 )

static

References cdb_isdn_vario::subtyp, and cdb_isdn_vario::typ.

Referenced by hd_cdbisdn_get_vario_from_type(), and SortVarios().

## compare_vendor()

int compare_vendor | ( | cdb_isdn_vendor * | v1,
|  | cdb_isdn_vendor * | v2 )

static

References cdb_isdn_vendor::name.

Referenced by SortVendors().

## del_vario()

void del_vario | ( | void |  | ) |

References cards, vario, vario_idx, and varios.

Referenced by add_current_item().

## new_entry()

int new_entry | ( | void |  | ) |

References cards, ce_idx, max_ce, not_supported, PCI_ANY_ID, and vendors.

Referenced by while().

## new_vario()

int new_vario | ( | char * | v,
|  | int | c )

static

References add_name(), cards, drv_subtyp_cnt, drv_typ_cnt, drvid_cnt, max_vario, not_supported, supported_cnt, vario, vario_idx, and varios.

Referenced by add_current_item().

## SortCards()

void SortCards | ( | void |  | ) |

References cards, ce_idx, compare_card(), compare_id(), isdncard_id, vario_idx, and varios.

Referenced by main().

## SortVarios()

void SortVarios | ( | void |  | ) |

References cards, ce_idx, compare_type(), vario, vario_idx, and varios.

Referenced by main().

## SortVendors()

void SortVendors | ( | void |  | ) |

References cards, ce_idx, compare_vendor(), ivendor_idx, and vendors.

Referenced by main().

## Variable Documentation

## _vendorshortnames

struct _vendorshortnames_t _vendorshortnames[]

static

Initial value:
= {
{"AVM Computersysteme Vertriebs GmbH","AVM"},
{"High Soft Tech","HST"},
{"Cologne Chip AG","CC"},
{"Telekom AG","DTAG"},
{"TigerJet","TJET"},
{"ASUSCOM","Asus"},
{"U.S.Robotics","USR"},
{"SGS Thomson Microelectronics","SGST"},
{"Abocom/Magitek","Abocom"},
{NULL,NULL},
}

Referenced by add_vendor().

## cards

cdb_isdn_card* cards

Referenced by add_current_item(), compare_id(), compare_name(), del_vario(), main(), new_entry(), new_vario(), SortCards(), SortVarios(), SortVendors(), WriteCards(), and WriteCards().

## ce_idx

int ce_idx = 0

Referenced by add_current_item(), main(), new_entry(), SortCards(), SortVarios(), SortVendors(), WriteCards(), and WriteCards().

## drv_subtyp_cnt

int drv_subtyp_cnt

Referenced by add_current_item(), and new_vario().

## drv_typ_cnt

int drv_typ_cnt

Referenced by add_current_item(), and new_vario().

## drvid_cnt

int drvid_cnt

Referenced by add_current_item(), and new_vario().

## isdncard_id

int* isdncard_id

Referenced by SortCards(), WriteCards(), and WriteCards().

## ivendor_idx

int ivendor_idx = 0

Referenced by add_vendor(), main(), SortVendors(), WriteVendors(), and WriteVendors().

## max_ce

int max_ce = MAXCARDS

Referenced by main(), and new_entry().

## max_ivendor

int max_ivendor = MAXCARDS

Referenced by add_vendor(), and main().

## max_name_str_cnt

int max_name_str_cnt = MAXNAMECNT

Referenced by add_name(), and main().

## max_vario

int max_vario = MAXVARIO

Referenced by main(), and new_vario().

## name_str

char* name_str

Referenced by add_current_item(), add_name(), main(), WriteCards(), WriteNames(), WriteVarios(), and WriteVendors().

## name_str_cnt

int name_str_cnt = 0

Referenced by add_current_item(), add_name(), main(), and WriteNames().

## not_supported

int not_supported = 0

Referenced by add_current_item(), new_entry(), and new_vario().

## sstmp

char sstmp[4096]

static

Referenced by add_sortedname_list().

## stmp

char stmp[4096]

static

Referenced by add_lname(), add_name_list(), and add_sortedname_list().

## supported_cnt

int supported_cnt

Referenced by add_current_item(), and new_vario().

## vario_idx

int vario_idx

Referenced by add_current_item(), del_vario(), main(), new_vario(), SortCards(), SortVarios(), WriteVarios(), and WriteVarios().

## varios

cdb_isdn_vario* varios

Referenced by add_current_item(), del_vario(), main(), new_vario(), SortCards(), SortVarios(), WriteVarios(), and WriteVarios().

## vendors

cdb_isdn_vendor* vendors

Referenced by add_current_item(), add_lname(), add_vendor(), main(), new_entry(), SortVendors(), WriteVendors(), and WriteVendors().